Chuyển đến nội dung
Diễn đàn CADViet

Danh Cong

Moderator
  • Số lượng nội dung

    499
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    25

Cộng đồng

135 (tàm tạm)

2 Người theo dõi

About Danh Cong

  • Cấp bậc
    biết lệnh group
  • Ngày sinh Tháng 8 2

Thông tin hồ sơ

  • Giới tính
    Male
  • Sở thích
    Đọc sách

Khách truy cập Tiểu sử gần đây

3.510 chế độ xem tiểu sử
  1. lệnh LI

    Gõ lệnh "UN": Cài đặt các thông số theo hình dưới đây là ổn.
  2. Ai giúp em chuyển bản vẽ này về file gốc với ah

    Ặc, bạn làm thế là biến lợn lành thành lợn què rồi. 1 bản đồ / bình đồ... hoặc cái khỉ gì liên quan đến tọa độ, thì hạn chế tất cả các thể loại Di chuyển (move) , xoay (rotate) , phóng to thu nhỏ (scale)-AL các kiểu. Không biết mà nghịch dại là hỏng luôn bản đồ. Vậy nên mới thấy tiện dụng của lệnh đổi trục UCS: B1: Vẽ 1 point vào gốc tọa độ (0, 0, 0): B2: Gõ ucs: Pick vào điểm point (0, 0 , 0), Chọn điểm thứ nhất xác định trục X( như hình của bạn thì hướng lên trời ). Chọn điểm thứ 2 hướng theo trục Y (hướng nằm ngang)
  3. Ai giúp em chuyển bản vẽ này về file gốc với ah

    Lên diễn đàn gõ + học về chuyển trục tọa độ qua lệnh "UCS".
  4. Lỗi khung Mv

    Gõ "MAXACTVP" ---> Nhập 64... Mà chắc bạn này sử dụng lisp làm nhẹ "Spa" phải không? Nghi lắm.
  5. Lỗi layer

    Bạn đọc cái này trước tiên. Rồi đọc lại bài bạn xem người khác có hiểu bạn nói gì không? http://www.cadviet.com/forum/topic/5888-viết-yêu-cầu-request-và-trả-lời-response-như-thế-nào/
  6. Xin hướng dẫn kéo chuột chọn vùng quét

    + Lỗi gây ra do thao tác quét chọn như sau : Pick chuột lần 1 ---> Kéo chuột ---> Nhấn phím "C" ---> Pick chuột lần n... Vậy ừng bấm chữ "C" khi đang quét chọn vùng đối tượng là được.
  7. ^^ Chết thật, cháu sai thứ tự. Do trên cad cháu kiểm tra với mỗi 1 hình nên không nhận ra. Cháu sửa có 2 lỗi. Vậy lỗi thứ 3 là lỗi nào nhỉ, bác #Ha gợi ý nốt giùm cháu với ạ. :) (setq tv (+ tv (* (getvar "PERIMETER") ae.tyle)))) (setq tv (+ tv (* (getvar "AREA") ae.tyle ae.tyle)))
  8. Code cho bạn: < Bài của bạn không có ai trả lời vì mọi người đã phải trả lời rất nhiều bài viết tương tự như thế này rồi, vậy nên nếu có thời gian thì bạn học lisp 1 tí, không khó mà lại khá hay ) (DEFUN C:AE ( / ss la rv i tv op en) (or ae.tyle (setq ae.tyle 100)) (setq ae.tyle (cond ((getreal (strcat "\nNhap ty le ban ve: 1/< " (rtos ae.tyle 2 0) " >:")))(ae.tyle))) (while (not ss) (princ "\nPick object on the required layers") (setq ss (ssget))) (initget "Length Area") (setq rv (getkword "\nWould you like to measure L/<A> : ")) (and (not rv) (setq rv "Area")) (setq la (cdr (assoc 8 (entget (ssname ss 0)))) i (sslength ss) tv 0 op 0) (while (not (minusp (setq i (1- i)))) (setq en (ssname ss i)) (command "_.AREA" "_E" en) (cond ((= rv "Length") (setq tv (+ tv (* (getvar "PERIMETER") ae.tyle )))) (T (setq tv (+ tv (* (getvar "AREA") ae.tyle ae.tyle))) (if (/= (logand (cdr (assoc 70 (entget en))) 1) 1) (setq op (1+ op)))))) (princ (strcat "\nTotal " rv " = " (rtos tv 2 3) " in " (itoa (sslength ss)) " polylines\n" (if (/= rv "Length") (strcat (itoa op) " with open polylines") ""))) (SETVAR "CMDECHO" 0) (princ (strcat "\nGia tri " rv " tinh duoc : " (rtos tv))) (terpri) (setq s1 (entget (car (entsel "Chon Text ghi gia tri : ")))) (setq otext (assoc 1 s1)) (setq ot (cdr otext)) (setq ot (read ot)) (setq nt (cons 1 (strcat (rtos tv 2 2)))) (entmod (subst nt otext s1)) (command "luprec" "2") (setq s1 (ssget)) (command"chprop" "p" "" "c" 6 "") (prin1))
  9. + 2 tháng đủ để bạn học được kha khá lập trình lisp, thậm chí còn tự viết được chương trình theo nhu cầu của bạn nữa cơ :v :v
  10. + Bản vẽ tôi kiểm tra thấy... Bình thường. Vậy chắc trên máy bạn có vấn đề về font style. Thử kiểm tra font style trong Dimention là font gì: Chọn 1 dimension --> font style đang dùng là "dim". Kiểm tra font "dim" là cái gì: Gõ "ST" hoặc "STYLE" . Tìm vô font "dim" xem nó có bị lỗi gì không. Thấy chấm than thì thiếu font, lên mạng mà tải về cài. Cách cài thì tìm trên diễn đàn.
  11. + Yêu cầu chủ bài bình luận gì thì viết vào "Trả lời chủ đề này...", nó nằm dưới bài viết. Chứ không phải vào thông tin cá nhân rồi điền vô mục"Báo cáo"... mệt chết người. Xóa đi xóa lại 4,5 lần rồi mà không nhận ra. :((((((. + Muốn người khác giúp thì đưa hẳn bản vẽ cad lên: Làm thầy bói thì không thể chữa bệnh được ! + Kiểm tra font: Thì gõ lệnh "St". Xem cái font chữ đang dùng có bị lỗi không. Muốn biết chữ kích thước đang dùng font gì thì chọn 1 đường kích thước rồi ngó lên thông tin font chữ.
  12. không cắt được dim khi đối tượng dim có Z khác 0

    Tìm bài cho bạn, bạn nên tìm kiếm trên diễn đàn trước khi hỏi: http://www.cadviet.com/forum/topic/30513-không-cắt-được-đường-kích-thước/?do=findComment&comment=123514on + Viết bài với cỡ chữ bình thường, không cần "phóng to" chữ viết nếu bạn không muốn bị xóa bài viết hoặc xóa tài khoản diễn đàn.
  13. lỗi hatch khi cùng tỷ lệ sacle

    Bạn có thể tìm kiếm trên diễn đàn. Vấn đề này đã được thảo luận rồi.
  14. Lỗi hiển thị màu trong autocad

    Tham khảo các bài viết này: http://www.cadviet.com/forum/topic/169835-các-bác-cho-em-hỏi-hiện-tượng-nét-vẽ-trong-layer-màu-xanh-mà-nó-lại-hiển-thị-sang-đỏ-nét-đỏ-hiển-thị-sang-xanh-là-lỗi-gì-ạ/ https://forums.autodesk.com/t5/autocad-forum/autocad-2018-inverse-color-problem/td-p/7197617 Không được thì đưa bản vẽ lên để có cơ ở đoán lỗi.
  15. [Yêu Cầu] Tính tổng chiều dài theo layer !!!!

    + Lưu ý khi sử dụng lisp: Đối tượng chọn text ban đầu là "Dtext". Không áp dụng cho Mtext". Đối tượng L là đường thẳng, không phải Block, ( kể cả lisp của bác #DuongTrungHuy cũng không xài được với block) + Chỉ áp dụng cho 1 loại: ký hiệu @. Bạn có thể thay "@" bằng ký kiệu khác trong lisp tùy ý.
×